:root {
    --red: #E63946;
    --white: #F1FAEE;
    --light-blue: #A8DADC;
    --blue: #457B9D;
    --dark-blue: #1D3557; 
}

* {
    font-size: 16px;
    font-weight: normal;
    font-family: Roboto, sans-serif;
    border: 0;
    margin: 0;
    padding: 0;
}

* {
    /*pour que le padding soit pris en compte dans le calcul des largeurs*/
    box-sizing: border-box;
}

/*pour centrer la fenetre modal on utilise les flexboxs*/

.modal {
    position: fixed;
    display: flex;
    align-items: center;/*x*/
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.521);
    animation: fadeIn .4s both;
}



.modal-wrapper {
    overflow: auto;  /*pour faire apparaitre la scroll bar*/
    width: 600px;
    min-height: 150px;
    background-color: var(--white);
    max-width: calc(100vw);
    max-height: calc(100vh);
    animation: slideFromTop 350ms both;

}



.modal[aria-hidden="true"]{
    animation-name: fadeOut;
    /* animation-direction: reverse; 
    a voir à 36minutes du tuto */

}

.modal[aria-hidden="true"] .modal-wrapper{
    animation-name: slideToBottom;

}

/***********animations fen modale***********/

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity : 1; }
}

@keyframes fadeOut {
    from { opacity: 1; }
    to { opacity : 0; }
}

@keyframes slideFromTop {
    from { transform: translateY(-80px)}
    to { transform: translateY(0px)}
}

@keyframes slideToBottom {
    from { transform: translateY(0px)}
    to { transform: translateY(-80px)}
}


/*Bouton fermer*/
.js-modal-close {
    position: absolute;
    /* top: 35%; */
    left: 93%;
}


/************CSS fenetre input***********/

.modal-wrapper{
    border: 1px solid darkmagenta;
}
/*****header fen modale*****/
.mod-header {
    background-color: var(--white);
    text-align: center;
    display: block;
    margin: auto;
    width: 100%;
    height:75px;
}



/*****H1*****/
#modal-title {
    margin: 0;
    padding: 0;
    color:var(--dark-blue);
    font-size: 2.4rem;
    /* height: 100%; */
    line-height: 75px;

}
#title{
    background-color: #1d35573a;
    box-shadow: inset 1px 1px 3px;
    text-align: center;
}


/*****a supprimer******/
.task-title {
    border: 2px solid seagreen;
}
.responsable{
    border: 2px solid darkorange;
}
.affecte{
    border: 2px solid dodgerblue;
}
.description{
    border: 2px solid #E63946;
}
.categorie{
    border: 2px solid rgba(0, 0, 0, 0.8);
}
.status{
    border: 2px solid rgb(24, 102, 34);
}
.end-date{
    border: 2px solid rgba(207, 9, 191, 0.8);
}
.input>*{
    margin: 10px;
}

/******gestion des input******/
.input{
    display: flex;
    flex-direction: column;
    border: 2px solid rgba(172, 204, 27, 0.8);
    justify-content: center;
    margin: 5px;

}


.input h3 {
    color: var(--white);
    margin: 0;
    padding: 0;
}



/*******modal change color******/




/********change status*******/
.div1{
    display: flex;
    /* border: 2px solid green; */
    justify-content: space-around;
    padding: 7px;
    width: 100%;
}

.category-color{
    /* border: 2px solid red; */
    display: flex;
    margin: 5px 0;
    border: 2px solid red;
    width: 100%;
    height: auto;
}

#personnel{
    position: absolute;
}

#personnel-colorchoose{
    position:absolute;
    min-width: 100%;
    max-width: 100%;
}

.title-in{
    z-index: 1;
}
#wrapper-status{
    widt
}



